<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class StockDataMaster extends Model
{
    use SoftDeletes;

    protected $fillable = [
        'plant_id',
        'sticker_master_id',
        'location',
        'bin',
        'serial_number',
        'batch',
        'quantity',
        'doc_no',
        'type',
        'motor_scanned_status',
        'pump_scanned_status',
        'capacitor_scanned_status',
        'scanned_status_set',
        'panel_box_item_code',
        'panel_box_supplier',
        'panel_box_sno',
        'scanned_status',
        'scanned_quantity',
        'created_by',
        'updated_by',
        'created_at',
        'updated_at',
    ];

    public function plant(): BelongsTo
    {
        return $this->belongsTo(Plant::class);
    }

    public function stickerMaster(): BelongsTo
    {
        return $this->belongsTo(StickerMaster::class);
    }

    public function stickerMasterRelation()
    {
        return $this->belongsTo(StickerMaster::class, 'sticker_master_id');
    }

}
